package cn.com.ty.lift.system.user.dao.mapper;

import cn.com.ty.lift.system.user.dao.entity.UserRole;
import cn.com.xwy.boot.mybatis.MyBatisMapper;

import java.util.List;

/**
 * MyBatis Mapper 接口 - 表：user_role
 * @since 2019-12-01 15:46:21
 */
@MyBatisMapper
public interface UserRoleMapper {
	int deleteByPrimaryKey(Integer id);

	int insert(UserRole record);

	int insertSelective(UserRole record);

	UserRole selectByPrimaryKey(Integer id);

	int updateByPrimaryKeySelective(UserRole record);

	int updateByPrimaryKey(UserRole record);

	/**
	 * @description 通过角色获取用户角色关联信息
	 * @date 2019/11/27 10:03 AM
	 * @param roleId
	 * @return
	 */
    List<UserRole> getByRoleId(Long roleId);

    /**
     * @description 通过用户id和公司id获取用户角色关联关系
     * @date 2019/11/27 10:03 AM
     * @param userRole 用户角色请求对象
     * @return
     */
    UserRole getByUserIdAndCompanyId(UserRole userRole);
}